## live-boot 2.0.13

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = de

SCRIPTS = bin/* hooks/* scripts/live scripts/live-functions scripts/live-helpers scripts/*/*

all: test build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@# We can't just fail yet on bashisms (FIXME)
	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT} || true; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing executables
	mkdir -p $(DESTDIR)/sbin
	cp bin/live-new-uuid bin/live-snapshot bin/live-swapfile bin/live-toram $(DESTDIR)/sbin

	mkdir -p $(DESTDIR)/usr/share/live-boot
	cp bin/live-preseed bin/live-reconfigure local/languagelist $(DESTDIR)/usr/share/live-boot

	mkdir -p $(DESTDIR)/usr/share/initramfs-tools
	cp -r hooks scripts $(DESTDIR)/usr/share/initramfs-tools

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-boot
	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-boot

	mkdir -p $(DESTDIR)/usr/share/doc/live-boot/examples
	cp -r etc/* $(DESTDIR)/usr/share/doc/live-boot/examples
	# (FIXME)

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling executables
	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile $(DESTDIR)/sbin/live-toram
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin

	rm -rf $(DESTDIR)/usr/share/live-boot

	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
	rm -rf $(DESTDIR)/usr/share/initramfs-tools/scripts/live*
	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/live

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-boot
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

## live-boot 2.0.15

=== manpages/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-boot po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

## live-boot 3.0~a16

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SCRIPTS = bin/* hooks/* scripts/live scripts/live-functions scripts/live-helpers scripts/*/*
 
-all: test build
+all: build
 
 test:
 	@echo -n "Checking for syntax errors"
@@ -43,7 +43,7 @@
 install:
 	# Installing executables
 	mkdir -p $(DESTDIR)/sbin
-	cp bin/live-new-uuid bin/live-snapshot bin/live-swapfile bin/live-toram $(DESTDIR)/sbin
+	cp bin/live-new-uuid bin/live-snapshot bin/live-swapfile $(DESTDIR)/sbin
 
 	mkdir -p $(DESTDIR)/usr/share/live-boot
 	cp bin/live-preseed bin/live-reconfigure local/languagelist $(DESTDIR)/usr/share/live-boot
@@ -77,7 +77,7 @@
 
 uninstall:
 	# Uninstalling executables
-	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile $(DESTDIR)/sbin/live-toram
+	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin
 
 	rm -rf $(DESTDIR)/usr/share/live-boot

=== debian/changelog ===
live-boot (3.0~a16-1) unstable; urgency=low

  * Adding old 2.x changelog entries in debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Mar 2011 06:27:17 +0100

live-boot (3.0~a15-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Updating year in copyright.

  [ Marco Amadori ]
  * Adjust copyright entry in live-snapshot.
  * Protect NOPROMPT (Closes: #610941).

  [ Michal Suchanek ]
  * Simplify union mounting.
  * Really set limit on open files for unionfs-fuse
  * Add verbose messages to initramfs hook.

  [ T(A)ILS developers ]
  * Fixing remaining fromiso= bug.
  * Fixing syntax error.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Mar 2011 18:01:07 +0100

live-boot (3.0~a14-1) experimental; urgency=low

  [ Richard Nelson ]
  * Populate adapters in /etc/network/interfaces when ethdevice= on
    cmdline.

  [ Daniel Baumann ]
  * Removing header in copyright file.
  * Don't hard-depend on test target in Makefile.
  * Using dh auto magic in override, rather than manual make call.

  [ Steven Shiau ]
  * Removing the duplicated "the" in the live-boot.init script.

  [ Daniel Baumann ]
  * Updating auto_install overrides in rules.
  * Correcting live hook to include mtdblock for syslinux memdisk usage,
    thanks to Michael Prokop <mika@grml.org>.
  * Supporting /dev/mtdblock0 as valid device name (for memdisk boot),
    thanks to Michael Prokop <mika@grml.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Jan 2011 13:38:56 +0100

live-boot (3.0~a13-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing legacy code for detecting removable usb sticks on kernels
    prior 2.6.29.
  * Logging to /var/log/live-boot.log instead of /var/log/live.log for
    future consistency with live-config.
  * Adding support for custom ramdisk size (Closes: #544583).

  [ Ronny Standtke ]
  * Remounting cow read-only before prompting user to remove usb flash
    drive.

  [ Richard Nelson ]
  * Clean some leading whitespaces.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Dec 2010 11:27:07 +0100

live-boot (3.0~a12-1) experimental; urgency=low

  [ T(A)ILS developers ]
  * Fixing fromiso= on Squeeze.

  [ Daniel Baumann ]
  * Adding dpkg source options file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 22 Nov 2010 23:29:48 +0100

live-boot (3.0~a11-1) experimental; urgency=low

  [ T(A)ILS developers ]
  * Adding noprompt={usb,cd} feature.
  * Enhancing devices search ordering.

  [ Daniel Baumann ]
  * Removing deep link to bug page in the manual, since we don't have
    stable references yet.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Oct 2010 09:28:43 +0200

live-boot (3.0~a10-1) experimental; urgency=low

  * Don't do anything in initscript when using toram (Closes: #601575).

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Oct 2010 14:58:03 +0200

live-boot (3.0~a9-1) experimental; urgency=low

  [ amnesia ]
  * Adding live-snapshot.list documentation to manpage.

  [ Richard Nelson ]
  * Removed whitespace for tabs on the skipunion option.

  [ T(A)ILS developers ]
  * Fixing overzealous blacklist usage.
  * Adding documentation for persistent=cryptsetup in the manpage.

 -- Daniel Baumann <daniel@debian.org>  Tue, 26 Oct 2010 09:24:51 +0200

live-boot (3.0~a8-1) experimental; urgency=low

  [ Michal Suchanek ]
  * Adding initial support for unionmount.

  [ Marco Amadori ]
  * Included a note about persistent-subtext (Helps: #536728).

  [ Daniel Baumann ]
  * Running manpage rebuild after manpage updates.
  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel@debian.org>  Sat, 02 Oct 2010 10:15:03 +0200

live-boot (3.0~a7-1) experimental; urgency=low

  [ intrigeri ]
  * Fixing find_snap to take its second argument into account.

 -- Daniel Baumann <daniel@debian.org>  Sat, 25 Sep 2010 22:46:54 +0200

live-boot (3.0~a6-1) experimental; urgency=low

  [ Marco Amadori ]
  * Fix snapshots' sync-strings usage (Closes: #591330).
  * Fixed some snapshot related debug messages.
  * Added support for empty (initial) snapshots.

  [ Daniel Baumann ]
  * Adding patch from Colin Watson <cjwatson@ubuntu.com> to follow
    symlinks when checking for dynamically linked files at reboot in
    initscript.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Sep 2010 08:51:59 +0200

live-boot (3.0~a5-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Applying patch from Luke Yelavich <themuso@ubuntu.com> to instead of
    mangling the main sudoers file in accessibility bottom script,
    create a new file in /etc/sudoers.d and set permissions
    appropriately.
  * Applying patch from Michael Casadevall <mcasadevall@ubuntu.com> to
    add platform-sata_mv to is_nice_device() to allow Marvell Dove A0
    and AVD1 to properly boot live media.
  * Updating uinstall targets in makefile.

  [ Steven Shiau ]
  * Allowing to assign no gateway in networking bottom script.

  [ Daniel Baumann ]
  * Removing usplash support from initscript, usplash is dead.
  * Removing lenny legacy stuff from initscript.
  * Removing usplash support in initramfs, usplash is dead.
  * Adding plymouth in bug script.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Sep 2010 15:17:15 +0200

live-boot (3.0~a4-1) experimental; urgency=low

  * Exiting with 0 in live-boot bug script (Closes: #595262).
  * Using boot.d instead of boot.conf.d as directory name for custom
    configuration files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 02 Sep 2010 22:46:45 +0200

live-boot (3.0~a3-1) experimental; urgency=low

  * Updating seperators in networking bottom script to fix ip parameter
    parsing (Closes: #590494).
  * Updating live-build reference in manpages.
  * Adding reference to live-tools in manpages.
  * Checking for file existence in initramfs hook (Closes: #595264).

 -- Daniel Baumann <daniel@debian.org>  Thu, 02 Sep 2010 18:28:40 +0200

live-boot (3.0~a2-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Removing old and unmaintained po files.


=== debian/control ===
Source: live-boot
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-boot/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git
Vcs-Git: git://live.debian.net/git/live-boot.git

Package: live-boot
Architecture: all
Depends: ${misc:Depends}, live-boot-initramfs-tools | live-boot-backend
Recommends: eject, file, rsync, uuid-runtime
Suggests: curlftpfs, cryptsetup, httpfs2, unionfs-fuse, wget
Description: Debian Live - System Boot Scripts
 live-boot contains the scripts that configure a Debian Live system during the
 boot process (early userspace).
 .
 In addition to live-boot, a backend for the initrd generation is required, such
 as live-boot-initramfs-tools.

Package: live-boot-initramfs-tools
Architecture: all
Depends:
 ${misc:Depends}, busybox | busybox-initramfs, initramfs-tools, udev
Conflicts: live-boot-backend
Replaces: live-boot-backend
Provides: live-boot-backend
Description: Debian Live - System Boot Scripts (initramfs-tools backend)
 live-boot contains the scripts that configure a Debian Live system during the
 boot process (early userspace).
 .
 This package contains the initramfs-tools backend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/live-boot

	# Removing useless files
	rm -f debian/live-boot/usr/share/doc/live-boot/COPYING

	# live-boot-initramfs-tools
	mkdir -p debian/live-boot-initramfs-tools/usr/share
	mv debian/live-boot/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share

override_dh_installinit:
	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-boot 3.0~a17

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = de
+LANGUAGES = en $(shell cd manpages/po && ls)
 
 SCRIPTS = bin/* hooks/* scripts/live scripts/live-functions scripts/live-helpers scripts/*/*

=== debian/changelog ===
live-boot (3.0~a17-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating to standards version 3.9.2.
  * Using /run/initramfs instead of /dev/.initramfs/varrun for unionfs-
    fuse sendsigs (Closes: #621908).
  * Updating manpage wrt/ ip parameter squence (Closes: #616197).
  * Making copyright file distribution neutral.
  * Correcting top-level makefile to automatically get all the supported
    languages, rather than defining a static list.

  [ Michal Suchanek ]
  * Copy resolv.conf to live system root (Closes: #627178).
  * Tidy up resolv.conf a bit.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 May 2011 19:31:27 +0200

## live-boot 3.0~a18

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SHELL := sh -e
 
-LANGUAGES = en $(shell cd manpages/po && ls)
+LANGUAGES = $(shell cd manpages/po && ls)
 
 SCRIPTS = bin/* hooks/* scripts/live scripts/live-functions scripts/live-helpers scripts/*/*

=== debian/changelog ===
live-boot (3.0~a18-1) unstable; urgency=low

  * Updating and correcting sendsigs.omit support for /run (Closes:
    #628188).
  * Removing accidentally twice included English files when installing
    manpages.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Jun 2011 11:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-boot/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git
 Vcs-Git: git://live.debian.net/git/live-boot.git

## live-boot 3.0~a19

=== Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 		echo "W: checkbashisms - command not found"; \
 		echo "I: checkbashisms can be optained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
-		echo "I: On Debian systems, checkbashisms can be installed with:"; \
+		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \
 	fi
 
@@ -78,7 +78,7 @@
 uninstall:
 	# Uninstalling executables
 	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin || true
 
 	rm -rf $(DESTDIR)/usr/share/live-boot
 
@@ -86,18 +86,18 @@
 	rm -rf $(DESTDIR)/usr/share/initramfs-tools/scripts/live*
 	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/live
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-boot
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
 
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \

=== manpages/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 		echo "E: po4a - command not found"; \
 		echo "I: po4a can be optained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
-		echo "I: On Debian systems, po4a can be installed with:"; \
+		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \
 		exit 1; \
 	fi

=== debian/changelog ===
live-boot (3.0~a19-1) unstable; urgency=low

  * Correct rmdir call in top-level Makefiles uninstall target to not
    fail if there was no prior live-boot installation.
  * Making references to debian more distribution neutral.
  * Replacing reference to old alioth page in live-snapshot.
  * Splitting out documentation so that it can be accesses separately
    from the initramfs code.
  * Adding conflicts/replaces for live-boot to live-boot-doc to not
    break upgrades.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jul 2011 10:28:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: live-boot
 Architecture: all
 Depends: ${misc:Depends}, live-boot-initramfs-tools | live-boot-backend
-Recommends: eject, file, rsync, uuid-runtime
+Recommends: live-boot-doc, eject, file, rsync, uuid-runtime
 Suggests: curlftpfs, cryptsetup, httpfs2, unionfs-fuse, wget
 Description: Debian Live - System Boot Scripts
  live-boot contains the scripts that configure a Debian Live system during the
@@ -20,6 +20,17 @@
  .
  In addition to live-boot, a backend for the initrd generation is required, such
  as live-boot-initramfs-tools.
+
+Package: live-boot-doc
+Architecture: all
+Depends: ${misc:Depends}
+Conflicts: live-boot (<< 3.0~a18~)
+Replaces: live-boot
+Description: Debian Live - System Boot Scripts (documentation)
+ live-boot contains the scripts that configure a Debian Live system during the
+ boot process (early userspace).
+ .
+ This package contains the documentation.
 
 Package: live-boot-initramfs-tools
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# Removing useless files
	rm -f debian/tmp/usr/share/doc/live-boot/COPYING

	# live-boot-initramfs-tools
	mkdir -p debian/live-boot-initramfs-tools/usr/share
	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share

override_dh_installinit:
	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

override_dh_install:
	dh_install --fail-missing

## live-boot 3.0~a21

=== debian/changelog ===
live-boot (3.0~a21-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Silencing rmdir calls in makefile.
  * Printing out a warning message in initramfs-tools hook if backend is
    installed but no live-boot package, exiting early and not breaking
    update-initramfs (Closes: #639884).

  [ Tails developers ]
  * Fixing cache_path: cache non-executable libs dependencies as well.
  * Fixing cache_path: taking into account the three forms of ldd output
    lines.
  * Adding a white_listed_devices parameter to find_cow_device and
    find_files.
  * Factorizing loops on removable/non-removable devices.
  * Adding support for persistent-media={removable,removable-usb}.
  * Silencing umount in case live/image was unmounted already, extracted
    from a patch by Michael Schierl <schierlm@gmx.de>.
  * Erroring out in case a "wrong" filesystem was chosen.

  [ Daniel Baumann ]
  * Using /usr/share/live-boot instead of unreliable
    /usr/share/doc/live-boot in validateroot bootscript, stripped live
    systems may or may not carry /usr/share/doc.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Sep 2011 21:06:28 +0200

live-boot (3.0~a20-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating section for live-boot-doc.

  [ Ben Armstrong ]
  * Cross-referencing lb_config --bootappend-live.

  [ Daniel Baumann ]
  * Correcting bootappend-live reference in live-boot manpage.
  * Applying patch from grml to update forgotten use of live.log with
    live-boot.log.
  * Applying reformated patch from Ulrich Dangel <mru@grml.org> to add
    support for lvm and md devices.

 -- Daniel Baumann <daniel@debian.org>  Thu, 04 Aug 2011 21:20:47 +0200

## live-boot 3.0~a22

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 uninstall:
 	# Uninstalling executables
 	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin > /dev/null 2>&1 || true
 
 	rm -rf $(DESTDIR)/usr/share/live-boot
 
@@ -86,18 +86,18 @@
 	rm -rf $(DESTDIR)/usr/share/initramfs-tools/scripts/live*
 	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/live
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-boot
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
 
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \
@@ -117,15 +117,15 @@
 
 	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
 	do \
-		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
-		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
+		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
 	done
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true
 
-	rmdir --ignore-fail-on-non-empty $(DESTDIR) || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true
 
 clean:
 	@echo "Nothing to clean."

=== debian/changelog ===
live-boot (3.0~a22-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Using compression level 9 also for binary packages.
  * Updating matching in is_nice_device to, amongst others, match for
    virtio devices.
  * Include overlayfs modules in initramfs if existing.

  [ Marco Amadori ]
  * Fix live-snapshot exclude.list handling (Closes: #610337)

  [ Daniel Baumann ]
  * Sorting overrides in rules alphabetically.

 -- Daniel Baumann <daniel@debian.org>  Fri, 04 Nov 2011 11:37:28 +0100

## live-boot 3.0~a24

=== debian/changelog ===
live-boot (3.0~a24-1ubuntu1) precise; urgency=low

  * Cherry picking overlayFS patch from
    http://live.debian.net/gitweb?p=live-boot.git;a=commit;h=b981b862888aa4b345e6af8a1af65253378919b7

 -- Stephan Adig <sh@sourcecode.de>  Fri, 03 Feb 2012 14:08:28 +0100

live-boot (3.0~a24-1) unstable; urgency=low

  * Removing quotes from udev path_id command to actually execute the
    command.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Dec 2011 09:58:23 +0100

live-boot (3.0~a23-1) unstable; urgency=low

  [ Tails developers ]
  * Enabling whiteouts support for aufs.

  [ Daniel Baumann ]
  * Update udevs path_id changes as of version 174, thanks to Baurzhan
    Muftakhidinov <baurthefirst@gmail.com> for spotting it.

  [ Tails developers ]
  * Adding persistent-encryption={none|luks}.
  * Making persistent-encryption=luks strict.
  * Making sure dm-crypt is loaded when dealing with LUKS devices.
  * Adding persistent-storage=TYPE...
  * Removing now obsolete persistent=* arguments.
  * Adding persistent-method=METHOD...
  * Fixing an incorrectly redirected newline.
  * Clarifying what happens when you don't retry decrypting a device.
  * Refactoring device scanning in find_{cow_device,files}.
  * Making use of is_supported_fs in find_cow_devices (like in
    find_files).
  * Refactoring overlay and snapshot scanning code.
  * Fixing a "sh: bad number" when $offset is not passed to
    setup_loop().
  * Disabling persistent-encryption=luks if dependencies are
    unavailable.
  * Adding persistent-read-only boot parameter.
  * Changing persistent-encryption to accept a list TYPE... instead.
  * Updating live-boot man page for persistent-encryption.
  * Updating live-boot man page for persistent-storage.
  * Updating live-boot man page for persistent-method.
  * Updating and rewording live-boot man page for the persistent option.
  * Making persistent-read-only work for home-rw overlays.
  * Making persistent-read-only work for live-rw overlays.
  * Updating live-boot man page for persistent-read-only.
  * Adding workaround for a busybox bug with grep -w.

 -- Daniel Baumann <daniel@debian.org>  Mon, 28 Nov 2011 18:26:11 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  as live-boot-initramfs-tools.
 
 Package: live-boot-doc
+Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: live-boot (<< 3.0~a18~)

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,11 @@
 	mkdir -p debian/live-boot-initramfs-tools/usr/share
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
 
-override_dh_installinit:
-	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip -z9
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_installinit:
+	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-boot 3.0~a25

=== debian/changelog ===
live-boot (3.0~a25-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating to debhelper version 9.

  [ Michal Suchanek ]
  * Add overlayfs support (Closes: #658265).

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:27:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-boot/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git

## live-boot 3.0~a33

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 LANGUAGES = $(shell cd manpages/po && ls)
 
-SCRIPTS = bin/* hooks/* scripts/live scripts/live-functions scripts/live-helpers scripts/*/*
+SCRIPTS = backends/*/* bin/* scripts/*.sh scripts/*/*
 
 all: build
 
@@ -41,28 +41,27 @@
 	@echo "Nothing to build."
 
 install:
+	# Installing scripts
+	mkdir -p $(DESTDIR)/lib/live
+	cp -r scripts/boot.sh scripts/boot $(DESTDIR)/lib/live
+
 	# Installing executables
 	mkdir -p $(DESTDIR)/sbin
-	cp bin/live-new-uuid bin/live-snapshot bin/live-swapfile $(DESTDIR)/sbin
+	cp bin/live-new-uuid bin/live-swapfile $(DESTDIR)/sbin
 
-	mkdir -p $(DESTDIR)/usr/share/live-boot
-	cp bin/live-preseed bin/live-reconfigure local/languagelist $(DESTDIR)/usr/share/live-boot
-
-	mkdir -p $(DESTDIR)/usr/share/initramfs-tools
-	cp -r hooks scripts $(DESTDIR)/usr/share/initramfs-tools
+	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/hooks
+	cp backends/initramfs-tools/live.hook $(DESTDIR)/usr/share/initramfs-tools/hooks/live
+	mkdir -p $(DESTDIR)/usr/share/initramfs-tools/scripts
+	cp backends/initramfs-tools/live.script $(DESTDIR)/usr/share/initramfs-tools/scripts/live
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-boot
-	cp -r COPYING docs/* $(DESTDIR)/usr/share/doc/live-boot
-
-	mkdir -p $(DESTDIR)/usr/share/doc/live-boot/examples
-	cp -r etc/* $(DESTDIR)/usr/share/doc/live-boot/examples
-	# (FIXME)
+	cp -r COPYING $(DESTDIR)/usr/share/doc/live-boot
 
 	# Installing manpages
 	for MANPAGE in manpages/en/*; \
 	do \
-		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
+		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
 	done
 
@@ -70,24 +69,20 @@
 	do \
 		for MANPAGE in manpages/$${LANGUAGE}/*; \
 		do \
-			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
+			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
 		done; \
 	done
 
 uninstall:
 	# Uninstalling executables
-	rm -f $(DESTDIR)/sbin/live-snapshot $(DESTDIR)/sbin/live-swapfile
+	rm -f $(DESTDIR)/sbin/live-swapfile
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/sbin > /dev/null 2>&1 || true
 
-	rm -rf $(DESTDIR)/usr/share/live-boot
-
 	rm -f $(DESTDIR)/usr/share/initramfs-tools/hooks/live
-	rm -rf $(DESTDIR)/usr/share/initramfs-tools/scripts/live*
-	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/live
+	rm -f $(DESTDIR)/usr/share/initramfs-tools/scripts/live
 
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/hooks > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts/local-top > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools/scripts > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/initramfs-tools > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
@@ -102,7 +97,7 @@
 	# Uninstalling manpages
 	for MANPAGE in manpages/en/*; \
 	do \
-		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
+		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
 	done
 
@@ -110,12 +105,12 @@
 	do \
 		for MANPAGE in manpages/$${LANGUAGE}/*; \
 		do \
-			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
+			SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
 			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
 		done; \
 	done
 
-	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
+	for SECTION in $(for MANPAGE in $(ls manpages/en/*); do basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1; done | sort -u); \
 	do \
 		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
 		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \

=== debian/changelog ===
live-boot (3.0~a33-1) unstable; urgency=low

  [ chals ]
  * Updating Spanish translation of man pages.

  [ Daniel Baumann ]
  * Removing some more dead parameters from cmdline function.
  * Removing double author entries in Spanish po files.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jun 2012 13:26:49 +0200

live-boot (3.0~a32-1) experimental; urgency=low

  * Dropping snapshot functionality, superseeded by awesome custom mount
    persistence.
  * Setting persistence label for live-* 3.x persistency to
    'persistence', we're not making any difference between full-ov and
    custom-ov anymore on the filesystem and partition label (it's
    determined by the contents of live-persistence.conf).

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Jun 2012 19:04:01 +0200

live-boot (3.0~a31-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Renaming etc directory to their actual name, examples, within source
    tree.
  * Simplyfing scripts declaration in Makefile.

  [ chals ]
  * Fixing fuzzy strings in Spanish translation of man pages.

  [ Daniel Baumann ]
  * Removing live-reconfigure, not used anymore.
  * Removing live-preseed, not used anymore.
  * Unbreaking cmdline parsing after variable rename.
  * Moving off remaining functions from main boot script to subscript
    for later cleanup.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 21:44:44 +0200

live-boot (3.0~a30-1) experimental; urgency=low

  * Removing dead lang2locale function and associated files, not used
    anywhere.
  * Converting select_eth_device initramfs-tools pre-mount script into
    regular live-boot script.
  * Consistenly using 'true' instead of 'Yes' or 'yes' when using
    booleans.
  * Removing some dead boot parameters.
  * Splitting out integrity-check function to subscript.
  * Rewriting live-media checksum verification to work with any SHA and
    MD5 digests.
  * Updating read-only handling to new parameter handling.
  * Updating internal cmdline handling.
  * Updating swapon handling to new parameter handling.
  * Also allowing /dev/vd* to be used as swap devices and drop /dev/hd*.
  * Splitting out swap handling and rewriting to a live-boot subscript.
  * Moving validateroot bottom script into main boot script itself.
  * Removing exporting of variables for reviewed options in the cmdline
    function, not required.
  * Removing fastboot handling, the normal system handles this via
    'fastboot' bootparameter already.
  * Transforming persistence_excludes bottom script into normal live-
    boot script.
  * Transforming fstab bottom script into normal live-boot script.
  * Transforming networking bottom script into normal live-boot script.
  * Simplyfing initramfs-tools specific files within the source tree.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 19:37:54 +0200

live-boot (3.0~a29-1) experimental; urgency=low

  * Automatically translate date formats in po files.
  * Starting initramfs-tools specific subdirectory within the source-
    tree.
  * Replacing live initramfs-tools script with empty stub that calls the
    real, in future being initramfs-tools independent, script from
    /lib/live.
  * Splitting out a first bunch of functions out to /live/live/boot/.
  * Moving out live-helpers from initramfs-tools specifics.
  * Adding commented 'set -e' explicitly in all subscripts to avoid
    running it with 'set -e' until we've made sure it's properly
    working.
  * Moving out live-functions from initramfs-tools specifics.
  * Removing live-premount modules script, not needed anymore.
  * Converting read-only initramfs-tools pre-mount script into regular
    live-boot script.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 16:00:59 +0200

live-boot (3.0~a28-1) experimental; urgency=low

  [ Tails developers ]
  * Improving robustness of findiso cleanup process.
  * Using fromiso in most places where isofrom was used, thanks to
    adrian15 <adrian15sgd@gmail.com>.
  * Mounting fromiso filesystem on /live/fromiso instead of /fromiso,
    thanks to adrian15 <adrian15sgd@gmail.com>.
  * Improving robustness of fromiso cleanup process with is_mountpoint
    (Closes: #668100).

  [ Daniel Baumann ]
  * Using boot.log and /var/log/live/boot.log respectively for overall
    consistency within all debian-live tools.

  [ Ian Reinhart Geiser ]
  * Fix to allow for multiple rof when exposed roots is disabled.

  [ Tails developers ]
  * Implement and make use of robust list functions.

  [ chals ]
  * Fixing several typos in man pages.
  * Adding initial Spanish translation of man pages.

  [ Evgeni Golov ]
  * Fixing two typos and a wrong word in comments.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Jun 2012 17:31:32 +0200

live-boot (3.0~a27-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Only looking at boot.d files if they have the .conf suffix to allow
    putting other files into these places that do not necessarily need
    to be used by live-boot (e.g. documentation).
  * Removing preseed bottom-script, a newly written one is now in live-
    config where this sort of things belong.
  * Removing header in fstab, not required.
  * Removing outdated and broken accessibility script, this will be
    redone in live-config properly.
  * Replacing 'illegal' with better fitting 'invalid' for wrongly
    crafted input examples in live.persist manpage.
  * Consistently using ext4 in all examples, not a mix of ext2 and ext3.
  * Removing user and userfullname variables in scripts/live, they are
    not used here sind live-config anymore.
  * Renaming /live/cow to /live/overlay in anticipation of overlayfs.
  * Using 'persistence' (noun) rather than 'persistent'
    (adjective/adverb) everywhere.
  * Making extraction of the manpage section in manpages/Makefile work
    with multiple dots in the filename.
  * Renaming live.persist to live-persistence.conf.

  [ Tails developers ]
  * Adding support for the findiso boot parameter (Closes: #656135).


=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_installinit:
-	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'

## live-boot 3.0~a35

=== debian/changelog ===
live-boot (3.0~a35-1) unstable; urgency=low

  * Correcting typo in fstab function call in mountroot, thanks to
    Baurzhan Muftakhidinov <baurthefirst@gmail.com>.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Jun 2012 14:30:46 +0200

live-boot (3.0~a34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Renaming persistent-subtext option into persistent-label and making
    it define the complete label instead of a custom suffix only.
  * Updating coding style in a first bunch of locations.
  * Updating location for live-boot files in initramfs-tools hook,
    thanks to Baurzhan Muftakhidinov <baurthefirst@gmail.com>.
  * Making live-boot-initramfs-tools.postinst more error safe.
  * Removing pre-wheezy dpkg trigger for update-initramfs.
  * Removing superfluous directory in initramfs-tools hook.
  * Sourcing individual live-boot scripts rather than executing them.

  [ Ben Armstrong ]
  * Fix creation of /var/log/live in correct location.

  [ Daniel Baumann ]
  * Switching to xz compression in source and binary packages.

 -- Daniel Baumann <daniel@debian.org>  Wed, 27 Jun 2012 14:14:19 +0200

## live-boot 3.0~b1

=== debian/changelog ===
live-boot (3.0~b1-1ubuntu1) quantal; urgency=low

  *  ensure that a potentially stray tmpfs gets removed
     otherways, initramfs-tools is unable to remove /live
     and fails to boot. LP: #1043834

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Sep 2012 09:37:53 +0200

live-boot (3.0~b1-1) unstable; urgency=low

  [ chals ]
  * Fixing build error in 'es' man pages caused by a newline conflict.

  [ Daniel Baumann ]
  * Removing live-new-uuid, a rewritten one goes to live-tools.
  * Adding slightly modified patch from Steven Shiau
    <steven@nchc.org.tw> to transition to /run for network interface
    definition files which fixes resolv.conf creation for netboot.

  [ Steven Shiau ]
  * Reading /conf/param.conf after Select_eth_device in main function to
    fix network booting (Closes: #683240).

  [ Daniel Baumann ]
  * Moving reading of initramfs-tools functions to initramfs-tools
    script.
  * Consistently using case instead of if for conditionals in script
    boilerplate.
  * Laying tmpfs on /live/overlay only during initramfs stage, fixes
    boot failure with plain filesystems (Closes: #681579).
  * Correcting DNS inclusion in initramfs-tools hook, thanks to Steven
    Shiau <steven@nchc.org.tw> for reporting.
  * Simplifying usage of copy_exec function from hooks-function in
    initramfs-tools hook.
  * Using /etc/live/boot/*.conf instead of /etc/live/boot.d/*.conf and
    /live/image/live/boot/*.conf instead of
    /live/image/live/boot.d/*.conf for consistency reasons.
  * Reading configuration file from filesystem and live-media at runtime
    too.
  * Reading configuration files in initramfs-tools hook too.

  [ Steven Shiau ]
  * Adding support for nameserver in ip= boot parameter.

  [ Daniel Baumann ]
  * Making nameserver assignment from ip= bootparameter work with
    persistence.
  * Correcting permissions of /tmp which apparently somehow get mixed up
    along the way.
  * Updating scripts readme about transition to plugin based
    architecture.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Aug 2012 12:21:04 +0200

live-boot (3.0~a38-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Extending verify-checksums parameters to allow specifying custom
    list of digests.
  * Harmonizing GPL boilerplate texts.

  [ Richard Nelson ]
  * Correct left over references to old initramfs-tools.sh (Closes:
    #682504).

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Jul 2012 00:20:39 +0200

live-boot (3.0~a37-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Cleaning up initramfs-tools hook.

  [ Tails developers ]
  * Fixing persistence backward-compatibility mode (Closes: #681176).

  [ Daniel Baumann ]
  * Making swap function self contained.
  * Making read-only function self contained.
  * Making verify-checksums function self contained.
  * Factoring out debug into an own function.
  * Extending read-only parameters to allow specifying custom list of
    devices.
  * Avoid re-access /proc/cmdline in select-eth-device function and use
    internal variable instead.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jul 2012 17:18:06 +0200

live-boot (3.0~a36-1) unstable; urgency=low

  * Adding temporary notes in a readme file.
  * Renaming boot scripts for refactoring them into numbered plugins.
  * Renaming mountroot function to main to provide a generic live-boot
    entry point for initramfs generators.
  * Adding temporary redirection layer for dracut initramfs generator.
  * Adding redirection layer for initramfs-tools initramfs generator.
  * Splitting out already reviewed cmdline parsing script.
  * Splitting out already reviewed read-only script.
  * Splitting out already reviewed swapon script.
  * Splitting out already reviewed verify-checksums script.
  * Adding support for defining one or more explicit swap partitions to
    be used.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Jul 2012 23:56:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders: Daniel Baumann <daniel@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://live.debian.net/devel/live-boot/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git
 Vcs-Git: git://live.debian.net/git/live-boot.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mv debian/tmp/usr/share/initramfs-tools debian/live-boot-initramfs-tools/usr/share
 
 override_dh_builddeb:
-	dh_builddeb -- -Zgzip -z9
+	dh_builddeb -- -Zxz -z9
 
 override_dh_install:
 	dh_install --fail-missing
